Debian Bug report logs - #230756
nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session

version graph

Package: nautilus; Maintainer for nautilus is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for nautilus is src:nautilus.

Reported by: "Karsten M. Self" <kmself@ix.netcom.com>

Date: Mon, 2 Feb 2004 11:03:01 UTC

Severity: wishlist

Found in version 2.4.1-3

Done: Loïc Minier <lool@dooz.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=133291

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to "Karsten M. Self" <kmself@ix.netcom.com>:
New Bug report received and forwarded. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Karsten M. Self" <kmself@ix.netcom.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session
Date: Mon, 02 Feb 2004 02:48:04 -0800
Package: nautilus
Version: 2.4.1-3
Severity: wishlist


When Nautilus is invoked under a non-GNOME session, e.g.:  another
window manager -- WindowMaker, blackbox, fluxbox, XFCE4, etc., it should
*NOT* change desktop attributes, including but not limited to:

  - Desktop color.
  - Desktop icons.
  - Creation of a "Desktop" folder.
  - Screensaver.

...or other desktop environment / window manager settings.


Worse:  there is no visibly available control to toggle this behavior.


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux superego 2.4.23-1-686 #1 Sun Nov 30 20:51:10 EST 2003 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages nautilus depends on:
ii  libart-2.0-2                2.3.16-1     Library of functions for 2D graphi
ii  libatk1.0-0                 1.4.1-1      The ATK accessibility toolkit
ii  libaudiofile0               0.2.3-4      The Audiofile Library
ii  libbonobo2-0                2.4.2.0-1    Bonobo CORBA interfaces library
ii  libbonoboui2-0              2.4.2-1      The Bonobo UI library
ii  libbz2-1.0                  1.0.2-1      A high-quality block-sorting file 
ii  libc6                       2.3.2.ds1-10 GNU C Library: Shared libraries an
ii  libeel2-2                   2.4.1-2      Eazel Extensions Library (for GNOM
ii  libesd0                     0.2.29-1     Enlightened Sound Daemon - Shared 
ii  libgail-common              1.4.1-1      GNOME Accessibility Implementation
ii  libgail17                   1.4.1-1      GNOME Accessibility Implementation
ii  libgconf2-4                 2.4.0.1-3    GNOME configuration database syste
ii  libgcrypt1                  1.1.12-4     LGPL Crypto library - runtime libr
ii  libglade2-0                 2.0.1-6      Library to load .glade files at ru
ii  libglib2.0-0                2.2.3-1      The GLib library of C routines
ii  libgnome-desktop-2          2.4.1-4      Utility library for loading .deskt
ii  libgnome2-0                 2.4.0-4      The GNOME 2 library - runtime file
ii  libgnomecanvas2-0           2.4.0-1      A powerful object-oriented display
ii  libgnomeui-0                2.4.0.1-5    The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0              2.4.1-4      The GNOME virtual file-system libr
ii  libgnomevfs2-common         2.4.1-4      The GNOME virtual file-system libr
ii  libgnutls7                  0.8.12-3.1   GNU TLS library - runtime library
ii  libgsf-1                    1.8.2-5      Structured File Library - runtime 
ii  libgtk2.0-0                 2.2.4-2      The GTK+ graphical user interface 
ii  libjpeg62                   6b-9         The Independent JPEG Group's JPEG 
ii  libnautilus2-2              2.4.1-3      libraries for nautilus components 
ii  liborbit2                   1:2.8.3-1    Libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0               1.2.5-2.1    Layout and rendering of internatio
ii  libpopt0                    1.7-4        lib for parsing cmdline parameters
ii  librsvg2-2                  2.4.0-3      SAX-based renderer library for SVG
ii  libstartup-notification0    0.5-4        library for program launch feedbac
ii  libtasn1-0                  0.1.2-1      Manage ASN.1 structures (runtime)
ii  libxml2                     2.6.3-1      GNOME XML library
ii  libxrender1                 0.8.3-5      X Rendering Extension client libra
ii  nautilus-data               2.4.1-3      data files for nautilus
ii  xlibs                       4.2.1-12.1   X Window System client libraries
ii  zlib1g                      1:1.2.1-3    compression library - runtime

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Johannes Rohr <j.rohr@comlink.org>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Rohr <j.rohr@comlink.org>
To: "Karsten M. Self" <kmself@ix.netcom.com>, 230756@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session
Date: Mon, 02 Feb 2004 19:23:04 +0100
Am Mo, den 02.02.2004 schrieb Karsten M. Self um 11:48:
> Package: nautilus
> Version: 2.4.1-3
> Severity: wishlist
> 
> 
> When Nautilus is invoked under a non-GNOME session, e.g.:  another
> window manager -- WindowMaker, blackbox, fluxbox, XFCE4, etc., it should
> *NOT* change desktop attributes, including but not limited to:

I would like to see this, too. But, alas, it is hardly possible. 

Nautilus handles the the desktop background as a single window,
occupying the full visible screen size, where its predecessor, GMC,
placed lots of mini-windows onto the original X root window. The latter
approach left the desktop background unchanged whereas the former cannot
but override it.

I think there have been lengthy and exhaustive discussions about this
(desktop as a single window) upstream. The way it currently is, is based
on a fundamental design decision taken by upstream and there is little
hope that filing bugs to the Debian BTS will have *any* impact. 

So, if you want to reach those responsible for this design decision, you
should go to http://bugzilla.gnome.org.

Thanks,

Johannes

P.S.: I'm not the maintainer. But AFAIK this can only be tagged
"wontfix".



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Johannes Rohr <j.rohr@comlink.org>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Reply sent to Sebastien Bacher <seb128@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Karsten M. Self" <kmself@ix.netcom.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 230756-done@bugs.debian.org (full text, mbox):

From: Sebastien Bacher <seb128@debian.org>
To: 230756-done@bugs.debian.org,
Subject: Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session
Date: Mon, 02 Feb 2004 19:52:00 +0100
"Karsten M. Self" <kmself@ix.netcom.com> writes:

> Package: nautilus
> Version: 2.4.1-3
> Severity: wishlist
>
>
> When Nautilus is invoked under a non-GNOME session, e.g.:  another
> window manager -- WindowMaker, blackbox, fluxbox, XFCE4, etc., it should
> *NOT* change desktop attributes, including but not limited to:
>

$ nautilus --help
...
--no-desktop                           Do not manage the desktop (ignore the
                                       preference set in the preferences
                                       dialog).
...

Just use this option should be ok. You can also set the gconf key
"/apps/nautilus/preferences/show_desktop" to false. 
Both solutions should fix the bug, I'm closing it.


Cheers,

Sebastien Bacher



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to "Karsten M. Self" <kmself@ix.netcom.com>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #25 received at submit@bugs.debian.org (full text, mbox):

From: "Karsten M. Self" <kmself@ix.netcom.com>
To: Johannes Rohr <j.rohr@comlink.org>
Cc: "Karsten M. Self" <kmself@ix.netcom.com>, 230756@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session
Date: Mon, 2 Feb 2004 19:19:44 -0800
[Message part 1 (text/plain, inline)]
on Mon, Feb 02, 2004 at 07:23:04PM +0100, Johannes Rohr (j.rohr@comlink.org) wrote:
> Am Mo, den 02.02.2004 schrieb Karsten M. Self um 11:48:
> > Package: nautilus
> > Version: 2.4.1-3
> > Severity: wishlist
> > 
> > 
> > When Nautilus is invoked under a non-GNOME session, e.g.:  another
> > window manager -- WindowMaker, blackbox, fluxbox, XFCE4, etc., it should
> > *NOT* change desktop attributes, including but not limited to:
> 
> I would like to see this, too. But, alas, it is hardly possible. 
> 
> Nautilus handles the the desktop background as a single window,
> occupying the full visible screen size, where its predecessor, GMC,
> placed lots of mini-windows onto the original X root window. The latter
> approach left the desktop background unchanged whereas the former cannot
> but override it.
> 
> I think there have been lengthy and exhaustive discussions about this
> (desktop as a single window) upstream. The way it currently is, is based
> on a fundamental design decision taken by upstream and there is little
> hope that filing bugs to the Debian BTS will have *any* impact. 
> 
> So, if you want to reach those responsible for this design decision, you
> should go to http://bugzilla.gnome.org.

Actually, I've been in direct contact with Jeff Waugh and others.

I'm seeing some gross usability / utility failures in GNOME and am
addressing these through both formal (bug report) and informal channels.

> P.S.: I'm not the maintainer. But AFAIK this can only be tagged
> "wontfix".

Pass it upstream.

Either way, it will be on the record.

-- 
Karsten M. Self <kmself@ix.netcom.com>        http://kmself.home.netcom.com/
 What Part of "Gestalt" don't you understand?
  Backgrounder on the Caldera/SCO vs. IBM and Linux dispute.
      http://sco.iwethey.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to "Karsten M. Self" <kmself@ix.netcom.com>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to "Karsten M. Self" <kmself@ix.netcom.com>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #35 received at 230756@bugs.debian.org (full text, mbox):

From: "Karsten M. Self" <kmself@ix.netcom.com>
To: 230756@bugs.debian.org
Cc: "Karsten M. Self" <kmself@ix.netcom.com>
Subject: Re: Bug#230756 acknowledged by developer (Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session)
Date: Mon, 2 Feb 2004 20:07:09 -0800
[Message part 1 (text/plain, inline)]
on Mon, Feb 02, 2004 at 11:03:05AM -0800, Debian Bug Tracking System (owner@bugs.debian.org) wrote:
> This is an automatic notification regarding your Bug report
> #230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session,
> which was filed against the nautilus package.
> 
> It has been closed by one of the developers, namely
> Sebastien Bacher <seb128@debian.org>.
> 
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact the developer, by replying to this email.
> 
> Debian bug tracking system administrator
> (administrator, Debian Bugs database)

> > When Nautilus is invoked under a non-GNOME session, e.g.:  another
> > window manager -- WindowMaker, blackbox, fluxbox, XFCE4, etc., it should
> > *NOT* change desktop attributes, including but not limited to:
> >
> 
> $ nautilus --help
> ...
> --no-desktop                           Do not manage the desktop (ignore the
>                                        preference set in the preferences
>                                        dialog).

Reopening this bug.

This option is missing from the nautilus manpage, as are those listed
below excepting "--help" and "--version".


I still feel that the application should properly sense its environment,
and not open a desktop outside of a GNOME context.  Relying on user
input is a crutch.

I still feel that this behavior should be specifiable from within
Nautilus.


Listed options from 'nautilus --help':

      --load-modules=MODULE1,MODULE2,...     Dynamic modules to load

    Help options
      -?, --help                             Show this help message
      --usage                                Display brief usage message

    Application options
      -c, --check                            Perform a quick set of self-check
                                             tests.
      -g, --geometry=GEOMETRY                Create the initial window with the
                                             given geometry.
      -n, --no-default-window                Only create windows for explicitly
                                             specified URIs.
      --no-desktop                           Do not manage the desktop (ignore the
                                             preference set in the preferences
                                             dialog).
      -q, --quit                             Quit Nautilus.

    GTK+
      --gdk-debug=FLAGS                      Gdk debugging flags to set
      --gdk-no-debug=FLAGS                   Gdk debugging flags to unset
      --display=DISPLAY                      X display to use
      --screen=SCREEN                        X screen to use
      --sync                                 Make X calls synchronous
      --name=NAME                            Program name as used by the window
                                             manager
      --class=CLASS                          Program class as used by the window
                                             manager
      --gxid-host=HOST
      --gxid-port=PORT
      --gtk-debug=FLAGS                      Gtk+ debugging flags to set
      --gtk-no-debug=FLAGS                   Gtk+ debugging flags to unset
      --g-fatal-warnings                     Make all warnings fatal
      --gtk-module=MODULE                    Load an additional Gtk module

    Bonobo activation Support
      --oaf-ior-fd=FD                        File descriptor to print IOR on
      --oaf-activate-iid=IID                 IID to activate
      --oaf-private                          Prevent registering of server with OAF

    GNOME GConf Support

    GNOME Library
      --disable-sound                        Disable sound server usage
      --enable-sound                         Enable sound server usage
      --espeaker=HOSTNAME:PORT               Host:port on which the sound server
                                             to use is running
      --version

    Session management
      --sm-client-id=ID                      Specify session management ID
      --sm-config-prefix=PREFIX              Specify prefix of saved configuration
      --sm-disable                           Disable connection to session manager

    GNOME GUI Library
      --disable-crash-dialog


-- 
Karsten M. Self <kmself@ix.netcom.com>        http://kmself.home.netcom.com/
 What Part of "Gestalt" don't you understand?
   Geek for hire:  http://kmself.home.netcom.com/resume.html
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from "Karsten M. Self" <kmself@ix.netcom.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Johannes Rohr <j.rohr@comlink.org>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #42 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Rohr <j.rohr@comlink.org>
To: "Karsten M. Self" <kmself@ix.netcom.com>, 230756@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session
Date: Tue, 03 Feb 2004 11:53:16 +0100
Am Di, den 03.02.2004 schrieb Karsten M. Self um 04:19:
 
> > Nautilus handles the the desktop background as a single window,
> > occupying the full visible screen size, where its predecessor, GMC,
> > placed lots of mini-windows onto the original X root window. The latter
> > approach left the desktop background unchanged whereas the former cannot
> > but override it.
> > 
> > I think there have been lengthy and exhaustive discussions about this
> > (desktop as a single window) upstream. The way it currently is, is based
> > on a fundamental design decision taken by upstream and there is little
> > hope that filing bugs to the Debian BTS will have *any* impact. 
> > 
> > So, if you want to reach those responsible for this design decision, you
> > should go to http://bugzilla.gnome.org.
> 
> Actually, I've been in direct contact with Jeff Waugh and others.

We'll be happy to read your progress report here...

> 
> I'm seeing some gross usability / utility failures in GNOME and am
> addressing these through both formal (bug report) and informal channels.

Then you might get yourself a bugzilla account at GNOME. 

> > P.S.: I'm not the maintainer. But AFAIK this can only be tagged
> > "wontfix".
> 
> Pass it upstream.

Done. But I repeat: If you're serious, please get yourself a bugzilla
account at GNOME org. At present I can't even put you on the CC list for
the bug you've reported. Meaning: You won't even be notified when
upstream closes it, presumably tagging it NOTABUG, INVALID or DUPLICATE
of xxxxxx.

[...]

Thanks,

Johannes



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Johannes Rohr <j.rohr@comlink.org>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=133291. Request was from Johannes Rohr <j.rohr@comlink.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Loïc Minier <lool@dooz.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Karsten M. Self" <kmself@ix.netcom.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #54 received at 230756-done@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: "Karsten M. Self" <kmself@ix.netcom.com>
Cc: 230756-done@bugs.debian.org
Subject: Re: Bug#230756 acknowledged by developer (Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session)
Date: Mon, 21 Feb 2005 12:04:02 +0100
        Hi,

On Mon, Feb 02, 2004, Karsten M. Self wrote:
> This option is missing from the nautilus manpage, as are those listed
> below excepting "--help" and "--version".

 The --no-desktop option is now in the manual page.

> I still feel that the application should properly sense its environment,
> and not open a desktop outside of a GNOME context.  Relying on user
> input is a crutch.
> 
> I still feel that this behavior should be specifiable from within
> Nautilus.

 Upstream won't implement anything close to what you want (detecting the
 presence of other desktops or the abscence of the GNOME desktop),
 nautilus might already be called with --no-desktop or configured not to
 hijack the desktop with a gconf key, that seems enough.

 Nautilus is not necessarily general purpose, but the suggested options
 still permit to use it, I think that's fair enough.

 I'm closing this report.

   Bye,

-- 
Loïc Minier <lool@dooz.org>
"Neutral President: I have no strong feelings one way or the other."



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to browaeys.alban@wanadoo.fr:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #59 received at 230756@bugs.debian.org (full text, mbox):

From: browaeys.alban@wanadoo.fr
To: 230756@bugs.debian.org
Cc: lool@dooz.org
Subject: Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session)
Date: Sat, 5 Mar 2005 05:10:41 +0100
Hi

This report may make sense.
/usr/lib/menu/nautilus entry does not have the --no-desktop
switch.

But except in a gnome environemnet (where this entry in the
debian menu is useless) the lack of this switch is harmfull. I
don't  windowmaker user starting nautilus wanting the nautilus
"desktop".

Coudl the
?package(nautilus):needs="X11" section="Apps/System" \
  title="Nautilus" command="/usr/bin/nautilus" icon="/usr/share/pixmaps/nautilus.xpm"
be replaced by
?package(nautilus):needs="X11" section="Apps/System" \
  title="Nautilus" command="/usr/bin/nautilus --no-desktop" \
  icon="/usr/share/pixmaps/nautilus.xpm"


Thanks (i sometime use wmaker and it lacks a spatial browser).
Alban




Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #64 received at 230756@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: browaeys.alban@wanadoo.fr
Cc: 230756@bugs.debian.org, "Karsten M. Self" <kmself@ix.netcom.com>
Subject: Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session)
Date: Sat, 5 Mar 2005 10:31:37 +0100
        Hi,

On sam, mar 05, 2005, browaeys.alban@wanadoo.fr wrote:
> /usr/lib/menu/nautilus entry does not have the --no-desktop
> switch.
...
> Coudl the
> command="/usr/bin/nautilus"
> be replaced by:
> command="/usr/bin/nautilus --no-desktop"

 That's a good idea; Karsten, would it be ok if launching nautilus from
 the Debian menu would do what you want? (ie. not hijack the desktop)

    Bye,
-- 
Loïc Minier <lool@dooz.org>
"Neutral President: I have no strong feelings one way or the other."



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to "Karsten M. Self" <kmself@ix.netcom.com>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #69 received at 230756@bugs.debian.org (full text, mbox):

From: "Karsten M. Self" <kmself@ix.netcom.com>
To: Lo?c Minier <lool@dooz.org>
Cc: browaeys.alban@wanadoo.fr, 230756@bugs.debian.org
Subject: Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session)
Date: Sat, 5 Mar 2005 08:39:15 -0800
[Message part 1 (text/plain, inline)]
on Sat, Mar 05, 2005 at 10:31:37AM +0100, Lo?c Minier (lool@dooz.org) wrote:
>         Hi,
> 
> On sam, mar 05, 2005, browaeys.alban@wanadoo.fr wrote:
> > /usr/lib/menu/nautilus entry does not have the --no-desktop
> > switch.
> ...
> > Coudl the
> > command="/usr/bin/nautilus"
> > be replaced by:
> > command="/usr/bin/nautilus --no-desktop"
> 
>  That's a good idea; Karsten, would it be ok if launching nautilus from
>  the Debian menu would do what you want? (ie. not hijack the desktop)

Yes.

Upstream should *still* be fixed, however.


Peaced.

-- 
Karsten M. Self <kmself@ix.netcom.com>        http://kmself.home.netcom.com/
 What Part of "Gestalt" don't you understand?
     If standards are good, then double standards must be... oh never mind.
     - Niels Callesoe
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #74 received at 230756@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: "Karsten M. Self" <kmself@ix.netcom.com>
Cc: browaeys.alban@wanadoo.fr, 230756@bugs.debian.org
Subject: Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session)
Date: Sat, 5 Mar 2005 21:53:23 +0100
        Hi,

On Sat, Mar 05, 2005, Karsten M. Self wrote:
> >  That's a good idea; Karsten, would it be ok if launching nautilus from
> >  the Debian menu would do what you want? (ie. not hijack the desktop)
> Yes.

 This will be the case with the next package of Nautilus.

> Upstream should *still* be fixed, however.

 Well, I think the discussion in the Debian BTS and upstream made it
 clear that:
 - it's not fully nautilus role to decide to manage the desktop or not
   (it seems gnome-settings-daemon does this),
 - nautilus already implements way of overriding its behavior (with
   --no-desktop and a gconf key),
 - nautilus is integrated in GNOME and complies to the GNOME HIG in
   general, and hence focus on integration through the GNOME desktop,
   not specially with other window managers than GNOME-compliant ones,
   or with other environments such as KDE for example.

 My personal conclusion is that this won't fix more upstream.

   Regards,

-- 
Loïc Minier <lool@dooz.org>
"Neutral President: I have no strong feelings one way or the other."



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#230756; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to "Karsten M. Self" <kmself@ix.netcom.com>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #79 received at 230756@bugs.debian.org (full text, mbox):

From: "Karsten M. Self" <kmself@ix.netcom.com>
To: Lo?c Minier <lool@dooz.org>
Cc: browaeys.alban@wanadoo.fr, 230756@bugs.debian.org
Subject: Re: Bug#230756: nautilus: Should not change desktop settings (color, icons) when launched under a non-GNOME session)
Date: Sat, 5 Mar 2005 13:26:03 -0800
[Message part 1 (text/plain, inline)]
on Sat, Mar 05, 2005 at 09:53:23PM +0100, Lo?c Minier (lool@dooz.org) wrote:
>         Hi,
> 
> On Sat, Mar 05, 2005, Karsten M. Self wrote:
> > >  That's a good idea; Karsten, would it be ok if launching nautilus from
> > >  the Debian menu would do what you want? (ie. not hijack the desktop)
> > Yes.
> 
>  This will be the case with the next package of Nautilus.
> 
> > Upstream should *still* be fixed, however.
> 
>  Well, I think the discussion in the Debian BTS and upstream made it
>  clear that:
>  - it's not fully nautilus role to decide to manage the desktop or not
>    (it seems gnome-settings-daemon does this),

Since GNOME presumably knows its compliant WMs, if no compliant WM is
found, the behavior should not be present.

By way of analogy:  a tool capable of running either in an X11 or
console/batch mode should autodetect its environment, not rely on user
inputs (though it's welcome to accept and override automated behavior
based on user inputs).

>  - nautilus already implements way of overriding its behavior (with
>    --no-desktop and a gconf key),

Not sufficient.  This is going to be a constant support hassle for
Debian and other distros.  The proposed workaround address this
partially, for menu-starts, but not for cmdline invocation.

>  - nautilus is integrated in GNOME and complies to the GNOME HIG in
>    general, and hence focus on integration through the GNOME desktop,
>    not specially with other window managers than GNOME-compliant ones,
>    or with other environments such as KDE for example.

GNOME are welcome to their opions.  However they're not entitled to
freedom from warrented criticism of same.

 
>  My personal conclusion is that this won't fix more upstream.

Your conclusion?  So did you not forward the bug upstream?  I'd *much*
prefer you did, as otherwise you've broken the feedback cycle.  If GNOME
aren't aware there's a problem they can't fix.  If they're aware of the
problem and _refuse_ to fix, well, then, that's their problem.

I'd prefer you not facilitate their reality denial.


Peace.

-- 
Karsten M. Self <kmself@ix.netcom.com>        http://kmself.home.netcom.com/
 What Part of "Gestalt" don't you understand?
    My Captain does not answer, his lips are pale and still, My father
    does not feel my arm, he has no pulse nor will, The ship is anchor'd
    safe and sound, its voyage closed and done, From fearful trip the
    victor ship comes in with object won.
    - Walt Whitman
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:26:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.